diff --git a/raddb/Makefile b/raddb/Makefile
index 01d3f03..9a3e5b5 100644
--- a/raddb/Makefile
+++ b/raddb/Makefile
@@ -33,9 +33,9 @@ install:
 	$(INSTALL) -d -m 750	$(R)$(raddbdir)
 	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-available
 	$(INSTALL) -d -m 750	$(R)$(raddbdir)/sites-enabled
-	$(INSTALL) -d -m 750	$(R)$(raddbdir)/modules
+	$(INSTALL) -d -m 750	$(R)$(raddbdir)/mods-available
 	@echo "Creating/updating files in $(R)$(raddbdir)"; \
-	for i in $(FILES) `find sites-available/ modules/ -type f -print | sed 's/.*CVS.*//;s/.*~//;s/.*#.*//' `; do \
+	for i in $(FILES) `find sites-available/ mods-available/ -type f -print | sed 's/.*CVS.*//;s/.*~//;s/.*#.*//' `; do \
 		[ ! -f $(R)$(raddbdir)/$$i ] && $(INSTALL) -m 640 $$i $(R)$(raddbdir)/$$i; \
 		if [ "`find $$i -newer $(R)$(raddbdir)/$$i`" ]; then \
 			echo "** $(R)$(raddbdir)/$$i"; \
@@ -85,6 +85,12 @@ install:
 		cd $(R)$(raddbdir)/sites-enabled/; \
 		ln -s ../sites-available/control-socket; \
 	fi
+	@for m in `cd mods-available/ && ls -1 | sed 's/.*CVS.*//;s/.*~//;s/.*#.*//' `; do \
+		if [ ! -L $(R)$(raddbdir)/$$m ]; then \
+			echo "** Enabling default module $(R)$(raddbdir)/$$m"; \
+			ln -s ../mods-available/$$m $(R)$(raddbdir)/$$m; \
+		fi; \
+	done
 
 clean:
 	rm -rf sites-enabled/inner-tunnel sites-enabled/default
